import {Calendar, DatePicker} from 'v-calendar';
import components from './components'

import { Carousel, Pagination, Navigation, Slide } from 'vue3-carousel'


const App = {
    el: '#app',
    delimiters: ['[[', ']]'],
    components: {
        ...components,
        Slide,
        Carousel,
        Pagination,
        Navigation,
        ...{
            VCalendar: Calendar,
            VDatepicker: DatePicker
        },
    },

    computed: {
        player() { return window.aircox.player; },
    },
}

export const PlayerApp = {
    el: '#player',
    delimiters: ['[[', ']]'],
    components: {...components},
}

export default App
